<script setup lang="ts">
interface Panel {
  title: string;
  hash: string;
}

const props = defineProps<{
  panels: Panel[];
  currentPanel: Panel | null;
}>();

const { panels, currentPanel } = toRefs(props);
const { setPanelOpenness } = useDetailsPanelsStore();
</script>

<template>
  <v-slide-y-transition
    v-if="panels && panels.length > 0"
    group
    leave-absolute
    hide-on-leave
  >
    <template v-for="{ title, hash } in panels" :key="hash">
      <v-list-item
        :value="hash"
        :to="{ hash: '#' + hash }"
        class="ml-4 mb-0 rounded-0 right-navigator-item"
        :class="hash === currentPanel?.hash ? 'selected' : 'unselected'"
        @click="setPanelOpenness(hash, true)"
      >
        <v-list-item-title>{{ title }}</v-list-item-title>
      </v-list-item>
    </template>
  </v-slide-y-transition>
</template>

<style scoped>
.right-navigator-item :deep(.v-list-item__overlay) {
  opacity: 0;
}
.unselected {
  border-left: 2px solid #e5e5e5;
}

.selected {
  border-left: 2px solid #6b261f;
  color: #6b261f !important;
}

.right-navigator-item::before {
  display: block;
  position: absolute;
  background-color: grey;
  right: 0;
  left: 0;
  top: 0;
  bottom: 0;
  content: "";
  opacity: 0;
  pointer-events: none;
}

.selected::before {
  background-color: #6b261f;
  opacity: 0.12 !important;
}
</style>
